package com.lz.modules.flow.dao;
/**
* <p>
* 权限角色表 服务类
* </p>
*
* @author quyixiao
* @since 2020-08-18
*/
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.modules.flow.entity.RecordRoleAuth;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface RecordRoleAuthMapper extends BaseMapper<RecordRoleAuth> {


	RecordRoleAuth selectRecordRoleAuthById(@Param("id")Long id);


	Long insertRecordRoleAuth(RecordRoleAuth recordRoleAuth);


	int updateRecordRoleAuthById(RecordRoleAuth recordRoleAuth);


	int updateCoverRecordRoleAuthById(RecordRoleAuth recordRoleAuth);


	int deleteRecordRoleAuthById(@Param("id")Long id);


    List<Long> queryMenuIdList(@Param("roleId") Long roleId);

	List<RecordRoleAuth> selectByRoleId(@Param("roleId") Long roleId);

	void deleteRecordRoleAuth(@Param("id") Long id);
}